scala.util.parsing.combinator

# lexical

#### package lexical

Content Hierarchy Learn more about scaladoc diagrams
Visibility

1. Public
2. All

### Type Members

1. #### abstract class Lexical extends Scanners with Tokens

   This component complements the `Scanners` component with common operations for lexical parsers.

2. #### trait Scanners extends Parsers

   This component provides core functionality for lexical parsers.

3. #### class StdLexical extends Lexical with StdTokens

   This component provides a standard lexical parser for a simple, Scala-like language.

### Ungrouped